
QGIS Application - Bug report #8041

crs selector dialog broken in new spatialite layer window

2013-06-11 08:58 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16884

Description

Steps to reproduce:

1. Open the new spatialite layer window (Layer > New > New spatialite layer...)

2. Click on specify CRS button to open the selector dialog.

4. Note the absence of projection string in the Selected CRS text box

5. Click on any item in the recently used CRS list box

6. Note the absence of projection string in the Selected CRS text box

We've discussed this over IRC, filing the issue to make sure it doesn't escape our collective mindset ;)

Related issues:

Related to QGIS Application - Bug report # 7970: qgis crashes when creating n... Closed 2013-06-02

Associated revisions

Revision 376c5f3a - 2013-06-29 02:21 PM - Jürgen Fischer

new spatialite layer: don't assume epsg id and qgis srsid are the same (fixes #8041)

History

#1 - 2013-06-18 08:57 AM - Giovanni Manghi

now it seems that the issue changed as the CRS can be choosen but not from the "recently used..." list.

#2 - 2013-06-29 05:22 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"376c5f3a4720b408dfc7d5fa501e2f4ddcb65994".
